### Method

# Ide ProjectInfo equal

#### Declaration

    gboolean
    ide_project_info_equal (
      IdeProjectInfo* self,
      IdeProjectInfo* other
    )

#### Description

This function will check to see if information about `self` and `other` are similar enough that a request to open `other` would instead activate `self`. This is useful when a user tries to open the same project twice.

However, some case is taken to ensure that things like the build system are the same so that a project may be opened twice with two build systems as is sometimes necessary when projects are porting to a new build system.

Available since: | 3.32

#### Parameters

`other` | `IdeProjectInfo`
| A `IdeProjectInfo`.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| `TRUE` if `self` and `other` are the same project and similar enough to be considered equal.